GroovyPackageDoc (Groovy 5.1.0)

Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyPackageDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyDoc

      public interface GroovyPackageDoc
      extends GroovyDoc

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyClassDoc[]` | `allClasses()` All included classes and interfaces in this package.
    `` | `public GroovyClassDoc[]` | `allClasses(boolean filter)` All classes and interfaces in this package optionally limited to just the included ones.
    `` | `public String` | `description()` Description of the package.
    `` | `public GroovyClassDoc[]` | `enums()` Included enum types in this package.
    `` | `public GroovyClassDoc[]` | `errors()` Included errors in this package.
    `` | `public GroovyClassDoc[]` | `exceptions()` Included exceptions in this package.
    `` | `public GroovyClassDoc` | `findClass(String className)` Find a class or interface within this package.
    `` | `public String` | `getRelativeRootPath()`
    `` | `public GroovyClassDoc[]` | `interfaces()` Included interfaces in this package.
    `` | `public String` | `nameWithDots()`
    `` | `public GroovyClassDoc[]` | `ordinaryClasses()` Included ordinary classes in this package.
    `` | `public String` | `summary()` The one-sentence summary for the package derived from the beginning of the description.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public GroovyClassDoc[] allClasses()

      All included classes and interfaces in this package.

      Returns:
        array of classes and interfaces found or empty array if none found

    - #### public GroovyClassDoc[] allClasses(boolean filter)

      All classes and interfaces in this package optionally limited to just the included ones.

      Parameters:
        `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
      Returns:
        array of classes and interfaces found or empty array if none found

    - #### public String description()

      Description of the package.

      Returns:
        the description

    - #### public GroovyClassDoc[] enums()

      Included enum types in this package.

      Returns:
        array of enum types found or empty array if none found

    - #### public GroovyClassDoc[] errors()

      Included errors in this package.

      Returns:
        array of errors found or empty array if none found

    - #### public GroovyClassDoc[] exceptions()

      Included exceptions in this package.

      Returns:
        array of exceptions found or empty array if none found

    - #### public GroovyClassDoc findClass(String className)

      Find a class or interface within this package.

      Parameters:
        `className` - the name of the class to find
      Returns:
        ClassDoc of found class or interface, or null if not found

    - #### public String getRelativeRootPath()

    - #### public GroovyClassDoc[] interfaces()

      Included interfaces in this package.

      Returns:
        array of interfaces found or empty array if none found

    - #### public String nameWithDots()

    - #### public GroovyClassDoc[] ordinaryClasses()

      Included ordinary classes in this package.

      Returns:
        array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

    - #### public String summary()

      The one-sentence summary for the package derived from the beginning of the description.

      Returns:
        the summary